Description

Hello,

it would be nice if there would be the

possibility to add different keywords in a

scm comment for different ticket statuses

like:

keyword => ticket status

closes => Closed

tobetested => Feedback

Related issues:

Related to Redmine - Feature #1232: Referencing and fixing issues in commit m... New 2008-05-13

Related to Redmine - Patch #7445: Patch for improved repository commit auto-u... Closed 2011-01-25

Related to Redmine - Feature #4752: Allow changing the status of an issue spe... Closed 2010-02-07

Related to Redmine - Feature #4679: Automatically set a status for 'Referenci... Closed 2010-01-28

Related to Redmine - Feature #11698: Ability to configure additional groups o... New

Related to Redmine - Feature #7590: Different commit Keywords for each tracker Closed 2011-02-09

Associated revisions

Revision 12197 - 2013-10-05 11:41 - Jean-Philippe Lang

Support for multiple issue update keywords/rules in commit messages (#4911).

Revision 12201 - 2013-10-05 12:58 - Jean-Philippe Lang

Rows may not be oredered as expected with ruby1.8 (#4911).

History

#1 - 2010-02-23 17:55 - Felix Schäfer

Have a look at RedmineReceivingEmails, you can already do this by putting Status: Feedback on a line of its own in the mail. If you don't like the

names of the status, you can change it in the admin interface.

#2 - 2010-02-23 19:34 - Daniel Maas

This also works for SCM-comments?

I will check it out tomorrow.

If that works its very nice.

All in all I really like Redmine.

Even if it is a little buggy in some cases its

the best web based project management tool

in my opinion.

Greetings

#3 - 2010-02-23 23:01 - Felix Schäfer

No, this works only for mails. SCM comments only respond to the commands configurable in the administration interface to reference or close tickets,
see RedmineSettings for more info in SCM comments.

#4 - 2010-02-24 10:27 - Daniel Maas

Yes, what I mean is that it would be nice to have a dynamic list

of keywords on that setting page.

Fixing keywords: "fixes, closes"  Applied status: "Closed"

Fixing keywords: "tobetested, ..."  Applied status: "Feedback"

[Add more Keywords and Statuses - Button]

#5 - 2010-02-24 10:30 - Felix Schäfer

That is not possible yet, but should be possible. Maybe Jean-Philippe or Eric can chime in on this.

#6 - 2010-05-06 09:32 - Ivan Grcic

Hi,

+1 for this, seems pretty useful

Regards,

Ivan

#7 - 2011-08-08 10:04 - Grey Grey

Hi.

+1

It's interesting future for my projects

#8 - 2011-08-24 21:28 - Szymon Nowak

Daniel Maas wrote:

Yes, what I mean is that it would be nice to have a dynamic list

of keywords on that setting page.

Fixing keywords: "fixes, closes"  Applied status: "Closed"

Fixing keywords: "tobetested, ..."  Applied status: "Feedback"

[Add more Keywords and Statuses - Button]

 Great idea, I'd also add something like parameters like:

ref #1 done 80

which sets 80 for issue #1

#9 - 2011-11-29 01:18 - Mischa The Evil

Related to #1232. Patch provided in #7445.

#10 - 2013-09-24 15:45 - Lubos Racansky

I am looking for the exactly same feature.

#11 - 2013-10-05 11:43 - Jean-Philippe Lang

- File commit_keywords.png added

- Subject changed from different keywords for different status of tickets to Multiple issue update rules with different keywords in commit messages

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

- Resolution set to Fixed

Feature added in r12197, you can now define as many keywords and update rules as needed:
#12 - 2013-10-06 21:28 - Ivan Cenov

Is "Fixing keywords" (Mots-clés résolution) most suitable after this change? Trigger keywords? Switching keywords? ...

#13 - 2013-10-07 08:58 - Jean-Philippe Lang

Maybe "Update keywords" would be better.

#14 - 2013-10-07 08:59 - Anonymous

Ivan Cenov wrote:

Is "Fixing keywords" (Mots-clés résolution) most suitable after this change? Trigger keywords? Switching keywords? ...

 keywords should also be configurable for each queue (to Jean-Philippe Lang's post 2 days ago another row containing a dropdown with available

queues would be fine). some status might not be available in some queues and at the moment you can set a status via a commit keyword for a

tracker queue that does not have this status in its workflow.

#15 - 2013-10-09 03:43 - Mischa The Evil

- Related to Feature #11698: Ability to configure additional groups of keywords with extra features in commit messages added

#16 - 2013-10-09 05:20 - Mischa The Evil

Ivan Cenov wrote:

Is "Fixing keywords" (Mots-clés résolution) most suitable after this change? Trigger keywords? Switching keywords? ...

 I think it is indeed not the most suitable after this (great!-) change. Jean-Philippe's proposal seems more appropriate here, while "updating keywords"

might be even better in contrast to the "referencing keywords".

Florian S. wrote:

[...] some status might not be available in some queues and at the moment you can set a status via a commit keyword for a tracker [...] that does

not have this status in its workflow.

 Good point, but for sure out of scope of this issue. Please search for existing issues and open a new one if none is filed yet.

#17 - 2013-10-13 09:36 - Jean-Philippe Lang

- Related to Feature #7590: Different commit Keywords for each tracker added

#18 - 2013-10-13 09:41 - Jean-Philippe Lang

keywords should also be configurable for each queue (to Jean-Philippe Lang's post 2 days ago another row containing a dropdown with

available queues would be fine)

 Feature added in r12208 (see #7590).

#19 - 2013-12-01 21:43 - jerome l

hello

i am searching for this feature in the new release, where can i configure and how use that feature please.?

thanks for your answers

#20 - 2016-06-03 12:22 - Guillaume LE BIGOT

Hi,

I can't use the feature.
I have defined keywords such as wip80, wip70 etc... related to its ratio 80, 70... allowing the developer to specify a ratio.

But any of these keywords doesn't affect the ratio of the ticket after the commit and repository updated

Any idea of my problem ?

Tx for all :)

#21 - 2016-06-03 12:32 - Guillaume LE BIGOT

- File Sélection_169.png added

Here is my configuration in attachment.

I have removed any number in the keywords (wip80 => wipHeightyp, p for percent :))

Is something seems wrong for you ?

#22 - 2016-06-03 12:54 - Guillaume LE BIGOT

Guillaume LE BIGOT wrote:

Here is my configuration in attachment.

I have removed any number in the keywords (wip80 => wipHeightyp, p for percent :))

Is something seems wrong for you ?

 Ok sorry i have resolved my problem.

I had to put a "*" in the field "Mots-clés de référencement" in order to use my custom keywords :)

Files

commit_keywords.png 7.68 KB 2013-10-05 Jean-Philippe Lang

Sélection_169.png 38.4 KB 2016-06-03 Guillaume LE BIGOT
